import request from '@/utils/request'

// 查询报警记录列表
export function listAlarmLogs(query) {
  return request({
    url: '/business/alarmLogs/list',
    method: 'get',
    params: query
  })
}

// 查询报警记录详细
export function getAlarmLogs(alarmId) {
  return request({
    url: '/business/alarmLogs/' + alarmId,
    method: 'get'
  })
}

// 新增报警记录
export function addAlarmLogs(data) {
  return request({
    url: '/business/alarmLogs',
    method: 'post',
    data
  })
}

// 修改报警记录
export function updateAlarmLogs(data) {
  return request({
    url: '/business/alarmLogs',
    method: 'put',
    data
  })
}

// 删除报警记录
export function delAlarmLogs(alarmId) {
  return request({
    url: '/business/alarmLogs/' + alarmId,
    method: 'delete'
  })
}
