import request from '../../utils/request'

// 查询故障记录列表
export function listFaultLogs(query) {
  return request({
    url: '/business/faultLogs/list',
    method: 'get',
    params: query
  })
}

// 新增故障记录
export function addFaultLogs(data) {
  return request({
    url: '/business/faultLogs',
    method: 'post',
    data
  })
}

// 故障记录详情
export function getFaultLogs(logId) {
  return request({
    url: '/business/faultLogs/' + logId,
    method: 'get'
  })
}

// 编辑故障记录
export function editFaultLogs(data) {
  return request({
    url: '/business/faultLogs',
    method: 'put',
    data
  })
}

// 删除故障记录
export function delFaultLogs(logId) {
  return request({
    url: '/business/faultLogs/' + logId,
    method: 'delete'
  })
}
