import request from '@/utils/request'
import FaultCodes from "@/views/business/faultCodes/index.vue";

// 查询故障码列表
export function listFaultCodes(query) {
  return request({
    url: '/business/faultCodes/current/list',
    method: 'get',
    params: query
  })
}

// 查询实时故障列表
export function faultCodesCurrentList(query) {
  return request({
    url: '/business/faultCodes/list',
    method: 'get',
    params: query
  })
}

// 新增故障码
export function addFaultCodes(data) {
  return request({
    url: '/business/faultCodes',
    method: 'post',
    data: data
  })
}

// 查询故障码详情
export function getFaultCodes(faultId) {
  return request({
    url: '/business/faultCodes/' + faultId,
    method: 'get'
  })
}

// 修改故障码
export function updateFaultCodes(data) {
  return request({
    url: '/business/faultCodes',
    method: 'put',
    data: data
  })
}

// 修改故障码状态
export function changeFaultCodesStatus(faultId, status){
  const data = {
    faultId,
    status
  }
  return request({
    url: '/business/faultCodes/changeStatus',
    method: 'put',
    data
  })
}

// 修改故障码报警状态
export function batchChangeAlarm(faultCodesList){
  return request({
    url: '/business/faultCodes/batchChangeAlarm',
    method: 'put',
    data: faultCodesList
  })
}

// 删除故障码
export function delFaultCodes(faultId) {
  return request({
    url: '/business/faultCodes/' + faultId,
    method: 'delete'
  })
}
