import request from '@/utils/request'

// 查询电子围栏列表
export function listFence(query) {
  return request({
    url: '/business/fence/list',
    method: 'get',
    params: query
  })
}

// 查询电子围栏详细
export function getFence(fenceId) {
  return request({
    url: '/business/fence/findById/' + fenceId,
    method: 'get'
  })
}

// 新增电子围栏
export function addFence(data) {
  return request({
    url: '/business/fence/insert',
    method: 'post',
    data: data
  })
}

// 修改电子围栏
export function updateFence(data) {
  return request({
    url: '/business/fence/update',
    method: 'post',
    data: data
  })
}

// 删除电子围栏
export function delFence(fenceId) {
  return request({
    url: '/business/fence/delete/' + fenceId,
    method: 'delete'
  })
}

// 保存电子围栏
export function savePolygon(data) {
  return request({
    url: '/business/fence/savePolygon',
    method: 'post',
    data: data
  })
}
