import request from '@/utils/request'

// 查询用户详情列表
export function listUser(query) {
  return request({
    url: '/product/user/list',
    method: 'get',
    params: query
  })
}

// 查询用户详情详细
export function getUser(userId) {
  return request({
    url: '/product/user/' + userId,
    method: 'get'
  })
}

// 新增用户详情
export function addUser(data) {
  return request({
    url: '/product/user',
    method: 'post',
    data: data
  })
}

// 修改用户详情
export function updateUser(data) {
  return request({
    url: '/product/user',
    method: 'put',
    data: data
  })
}

// 删除用户详情
export function delUser(userId) {
  return request({
    url: '/product/user/' + userId,
    method: 'delete'
  })
}
