import request from '@/utils/request'

// 查询菜单列表
export function list(data) {
  return request({
    url: '/system/car/list',
    method: 'get',
    data
  })
}

export function selectFence(data) {
  return request({
    url: '/system/car/selectFence',
    method: 'get',
    data
  })
}

export function exportA(data){
  return request({
    url: '/system/car/exportA',
    method: 'post',
    data,
    responseType: 'blob' // 添加 responseType: 'blob'，以处理文件下载
  })
}


export function add(data) {
  return request({
    url: '/system/car/add',
    method: 'post',
    data
  })
}

export function update(data) {
  return request({
    url: '/system/car/update',
    method: 'post',
    data
  })
}

export function del(carIds) {
  return request({
    url: '/system/car/del/'+carIds,
    method: 'post'
  });
}





export function findById(carId) {
  return request({
    url: '/system/car/findById/' + carId,
    method: 'get'
  })
}


