import request from '@/utils/request'

// 查询企业管理列表
export function listInfo(query) {
  return request({
    url: '/system/info/list',
    method: 'get',
    params: query
  })
}

// 查询企业管理详细
export function getInfo(deptId) {
  return request({
    url: '/system/info/' + deptId,
    method: 'get'
  })
}

// 新增企业管理
export function addInfo(data) {
  return request({
    url: '/system/info',
    method: 'post',
    data: data
  })
}

// 修改企业管理
export function updateInfo(data) {
  return request({
    url: '/system/info',
    method: 'put',
    data: data
  })
}

// 删除企业管理
export function delInfo(deptId) {
  return request({
    url: '/system/info/' + deptId,
    method: 'post'
  })
}
